Loading...
Searching...
No Matches
BamTools::SamProgram Struct Reference

Represents a SAM program record. More...

`#include <SamProgram.h>`

## Public Member Functions

| SamProgram ()
| default constructor
| SamProgram (const std::string &id)
| constructs program record with id
void | Clear ()
| Clears all data fields.
bool | HasCommandLine () const
| Returns `true` if program record contains @PG: CL:<CommandLine>.
bool | HasID () const
| Returns `true` if program record contains @PG: ID:<ID>.
bool | HasName () const
| Returns `true` if program record contains @PG: PN:<Name>.
bool | HasPreviousProgramID () const
| Returns `true` if program record contains @PG: PP:<PreviousProgramID>.
bool | HasVersion () const
| Returns `true` if program record contains @PG: VN:<Version>.

## Public Attributes

std::string | CommandLine
| corresponds to @PG CL:<CommandLine>
std::string | ID
| corresponds to @PG ID:<ID>
std::string | Name
| corresponds to @PG PN:<Name>
std::string | PreviousProgramID
| corresponds to @PG PP:<PreviousProgramID>
std::string | Version
| corresponds to @PG VN:<Version>
std::vector< CustomHeaderTag > | CustomTags

## Friends

class | BamTools::SamProgramChain

## Detailed Description

Represents a SAM program record.

Provides direct read/write access to the SAM header program records.

See also
  http://samtools.sourceforge.net/SAM1.pdf

## Constructor & Destructor Documentation

## SamProgram() [1/2]

SamProgram::SamProgram | ( |  | ) |

default constructor

## SamProgram() [2/2]

SamProgram::SamProgram | ( | const std::string & | id | ) |

constructs program record with id

Parameters

  id | desired program record ID

## Member Function Documentation

## Clear()

void SamProgram::Clear | ( |  | ) |

Clears all data fields.

## HasCommandLine()

bool SamProgram::HasCommandLine | ( |  | ) | const

Returns `true` if program record contains @PG: CL:<CommandLine>.

## HasID()

bool SamProgram::HasID | ( |  | ) | const

Returns `true` if program record contains @PG: ID:<ID>.

## HasName()

bool SamProgram::HasName | ( |  | ) | const

Returns `true` if program record contains @PG: PN:<Name>.

## HasPreviousProgramID()

bool SamProgram::HasPreviousProgramID | ( |  | ) | const

Returns `true` if program record contains @PG: PP:<PreviousProgramID>.

## HasVersion()

bool SamProgram::HasVersion | ( |  | ) | const

Returns `true` if program record contains @PG: VN:<Version>.

## Friends And Related Symbol Documentation

## BamTools::SamProgramChain

friend class BamTools::SamProgramChain

friend

## Member Data Documentation

## CommandLine

std::string BamTools::SamProgram::CommandLine

corresponds to @PG CL:<CommandLine>

## CustomTags

std::vector<CustomHeaderTag> BamTools::SamProgram::CustomTags

## ID

std::string BamTools::SamProgram::ID

corresponds to @PG ID:<ID>

Required for valid SAM header.

## Name

std::string BamTools::SamProgram::Name

corresponds to @PG PN:<Name>

## PreviousProgramID

std::string BamTools::SamProgram::PreviousProgramID

corresponds to @PG PP:<PreviousProgramID>

## Version

std::string BamTools::SamProgram::Version

corresponds to @PG VN:<Version>

The documentation for this struct was generated from the following files:

- SamProgram.h
- SamProgram.cpp